org.thewonderlemming.c4plantuml.graphml.validation

## Class GraphMLValidator

- java.lang.Object
- - org.thewonderlemming.c4plantuml.graphml.validation.GraphMLValidator

-     public class GraphMLValidator
      extends Object

  Validates a given XML stream against the GraphML XSDs set.
  Author:
    thewonderlemming

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validate(InputStream graphML, boolean strictValidation)` Validates the given XML stream and throws an exception if it is not a valid GraphML.
    `static void` | `validate(StreamSource graphML, boolean strictValidation)` Validates the given XML stream and throws an exception if it is not a valid GraphML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validate

          public static void validate(InputStream graphML,
                                      boolean strictValidation)
                               throws ValidationException

      Validates the given XML stream and throws an exception if it is not a valid GraphML.
      Parameters:
        `graphML` - the XML stream to validate.
        `strictValidation` - throws exceptions on validation error if set to `true`.
      Throws:
        `ValidationException` - if a validation error occurs while `strictValidation` is set to `true`.

    - #### validate

          public static void validate(StreamSource graphML,
                                      boolean strictValidation)
                               throws ValidationException

      Validates the given XML stream and throws an exception if it is not a valid GraphML.
      Parameters:
        `graphML` - the XML stream to validate.
        `strictValidation` - throws exceptions on validation error if set to `true`.
      Throws:
        `ValidationException` - if a validation error occurs while `strictValidation` is set to `true`.

Copyright © 2020. All rights reserved.